/****************************************************************************
** Form interface generated from reading ui file 'InvestigationInterface.ui'
**
** Created: Wed Mar 30 22:23:17 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.4   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef INVESTIGATIONINTERFACE_H
#define INVESTIGATIONINTERFACE_H

#include <qvariant.h>
#include <qwidget.h>
#include <GEnergy.h>
#include <GForm.h>
#include <GInvestigationAgent.h>
#include <GVector3.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QGroupBox;
class QLabel;
class QLineEdit;
class QTextEdit;
class QListBox;
class QListBoxItem;
class QToolBox;
class QSlider;
class QPushButton;
class QSpinBox;
using namespace GCS;
using namespace GBE;

class InvestigationInterface : public QWidget
{
    Q_OBJECT

public:
    InvestigationInterface( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~InvestigationInterface();

    QGroupBox* groupBox3;
    QLabel* textLabel7;
    QLineEdit* lineEditAmountPerSecond;
    QLabel* textLabel9;
    QLabel* textLabel10;
    QGroupBox* groupBox4;
    QTextEdit* textEditExperienceLog;
    QLabel* textLabel6_2;
    QListBox* listBoxKnownElements;
    QGroupBox* groupBox1;
    QLabel* textLabel2;
    QLabel* textLabel3;
    QLineEdit* lineEditPropEnergyLevel;
    QLineEdit* lineEditPropEnergyAmount;
    QLabel* textLabel3_2;
    QLabel* textLabel3_3;
    QLineEdit* lineEditPropEnergySigma;
    QLineEdit* lineEditPropPosZ;
    QLabel* textLabel3_3_2;
    QLabel* textLabel6;
    QLineEdit* lineEditPropSize;
    QLabel* textLabel3_4;
    QLineEdit* lineEditPropPosY;
    QLabel* textLabel3_2_2;
    QLabel* textLabel2_2;
    QLineEdit* lineEditPropPosX;
    QGroupBox* groupBox2;
    QToolBox* toolBoxActions;
    QWidget* InfluenceSend;
    QLabel* textLabel4;
    QSlider* sliderEnergyFraction;
    QPushButton* pushButtonRadiateInfluence;
    QLabel* textLabel5;
    QSpinBox* spinBoxInfluenceDestID;
    QPushButton* pushButtonSendInfluence;
    QWidget* Movement;
    QLabel* textLabel4_2;
    QLabel* textLabel5_2;
    QSlider* sliderMovementDistanceToTarget;
    QLabel* textLabel1;
    QSpinBox* spinBoxMovementDestID;
    QPushButton* pushButtonMovementGo;
    QPushButton* pushButtonMovementRelease;
    QLabel* textLabel1_2;
    QLabel* textLabel1_5;
    QSlider* sliderMovementSpeed;
    QWidget* page;
    QLabel* textLabel1_3;
    QLabel* textLabel1_4;

public slots:
    virtual void updateEnergy(const GEnergy& energy);
    virtual void updateForm(const GForm& form);
    virtual void influenceReceived(const GElementInfluence& influence);
    virtual void setKnownElementsList(const QStringList&);

signals:
    void moveTo(unsigned long);
    void radiateInfluence(double fraction);
    void sendInfluence(double fraction, unsigned long);
    void setSpeed(const GCS::GVector3&);

protected:
    QGridLayout* InvestigationInterfaceLayout;
    QVBoxLayout* groupBox3Layout;
    QSpacerItem* spacer3;
    QVBoxLayout* groupBox4Layout;
    QGridLayout* groupBox1Layout;
    QSpacerItem* spacer2;
    QVBoxLayout* groupBox2Layout;
    QVBoxLayout* InfluenceSendLayout;
    QSpacerItem* spacer1;
    QGridLayout* MovementLayout;
    QSpacerItem* spacer5;
    QSpacerItem* spacer4;
    QVBoxLayout* pageLayout;

protected slots:
    virtual void languageChange();

    virtual void moveToInternal();
    virtual void sendInfluenceInternal();
    virtual void radiateInfluenceInternal();


};

#endif // INVESTIGATIONINTERFACE_H
